# include "Ximage.h"
# define XPIX(x,Rx,S) (x*S + Rx)
# define ZPIX(value,Rz1,Rz2) (value*Rz1 - Rz2)
# define FRAC(a) ((a) - (int)(a))

void CreateZoom (Layout *layout, Graphic *graphic, double x, double y) {

  switch (graphic[0].Nbits) {
  case 8:
    CreateZoom8 (layout, graphic, x, y);
    break;

  case 16:
    CreateZoom16 (layout, graphic, x, y);
    break;

  case 24:
    CreateZoom24 (layout, graphic, x, y);
    break;

  case 32:
    CreateZoom32 (layout, graphic, x, y);
    break;
  }    

}
